API Reference (2.0)Admin API
List egg catalog
GET
/api/admin/eggs/catalogReturns the cached Pterodactyl egg catalog for searching and filtering. The index is cached for one hour.
Authorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/admin/eggs/catalog"{ "data": [ { "id": "games-minecraft-paper", "name": "Paper", "description": "High performance Minecraft server.", "category": "games", "source_url": "https://eggs.pterodactyl.io/egg/games-minecraft-paper" } ]}